@charset "utf-8";







header {
  padding: 16px;
	width: 200px;
  background: transparent;
	position: absolute;
	z-index: 3;
}

.h-menu{
  position: relative;
}


.h-menuCheckbox {
  display:none;
}


.h-menu_icon {
    display: inline-block;
    width: 30px;
    height: 30px;
    vertical-align: middle;
}


.hamburger-icon, .hamburger-icon::before, .hamburger-icon::after {
    content: '';
    display: block;
    position: absolute;
    z-index: 100;
    top:0;
    bottom:0;
    width: 32px;
    height: 3px;
    background: black;
    cursor: pointer;
}
.hamburger-icon:before {
    top: 10px;
}
.hamburger-icon:after {
    top: 20px;
}




#h-menu_content {
    top: 0;
    left: 0;
    z-index: 99;
    width: 100%;
    max-width: 100px;
    height: 100vh;
    padding: 10px 16px 16px;
    background: transparent;
    overflow: auto;
    transition: .3s ease-in-out;
    -webkit-transform: translateX(-105%);
    transform: translateX(-105%);
}


input:checked ~ .h-menu_icon .hamburger-icon{
    background: transparent;
}
input:checked ~ .h-menu_icon .hamburger-icon::before{
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    top:10px;
    z-index:999;
}
input:checked ~ .h-menu_icon .hamburger-icon::after{
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    top:10px;
    z-index:999;
}
input:checked ~ #h-menu_black {
    display: block;
    opacity: .8;
}
#h-menu_checkbox:checked ~ #h-menu_content {
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
}


.h-menu_icon .hamburger-icon, .h-menu_icon .hamburger-icon::before, .h-menu_icon .hamburger-icon::after, #h-menu_black, #h-menu_content{
    -webkit-transition: all .6s ;
    transition: all .6s ;}




#h-menu_content ul{
    list-style: none;
    margin: 0;
    padding: 0;
}
#h-menu_content ul li{
    border-bottom: solid 1px black;
}
#h-menu_content li a {
    display: block;
    color: black;
    font-size: 14px;
    padding: 24px 0px 24px;
	margin: 0 auto;
	text-align: center;
    text-decoration: none;
    transition-duration: 0.2s;
}
#h-menu_content li a:hover {
    background: #E0DEDE;
	opacity: 0.5;
}








@media screen and (min-width:750px){

	
header {
width: 320px;
}







#h-menu_content {

    padding: 53px 16px 16px;

}
	
#h-menu_content {
	max-width: 320px;
}

#h-menu_content li a {
padding: 24px;
margin-left: 0;
text-align: left;
}

	

}

@media screen and (min-width:1150px){






}





